Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events.handler
Interface EmailEventSubscription

All Superinterfaces:
  EventSubscriptionConfiguration

    public interface EmailEventSubscription

extends EventSubscriptionConfiguration

Represents the configuration of email notification within a parent EventSubscription object.

NOTE: Some objects within this subscription or its heirarchy of child objects cannot be removed or renamed at runtime. Any object type that has this restriction defines an isRemovable() method to determine if the object can be removed in the scope of the current edit session. You should check the return value of isRemovable before removing an object that may not be removable. If you attempt to remove a non-removable object, an IllegalStateException will be thrown.

Method Summary
`Actor` | `addActor(String name, Actor.Type type)`
`void` | `addTaskActor(TaskAffinity affinity)`
`Actor[]` | `getActors()`
`String` | `getCharsetName()` The character set that will be used for email subject and body content for email messages sent as a result of this subscription.
`String` | `getFromName()`
`String` | `getJavaMailSessionJndiName()`
`Locale` | `getLocale()` The locale that will be used for email subject and body content for email messages sent as a result of this subscription.
`TaskAffinity[]` | `getTaskActors()`
`void` | `removeActor(Actor actor)` NOTE: An actor may or may not be removable from an edit session at runtime.
`void` | `removeTaskActor(TaskAffinity affinity)`
`void` | `setCharsetName(String charset)`
`void` | `setFromName(String fromName)`
`void` | `setJavaMailSessionJndiName(String jndiName)`
`void` | `setLocale(Locale locale)`

Methods inherited from interface com.bea.wli.worklist.api.events.handler.EventSubscriptionConfiguration
`getParent, isDisabled, setDisabled`

Method Detail

### getLocale

    Locale getLocale()

  The locale that will be used for email subject and body content for email messages sent as a result of this subscription.

### setLocale

    void setLocale(Locale locale)

### getCharsetName

    String getCharsetName()

  The character set that will be used for email subject and body content for email messages sent as a result of this subscription. This character set must be one of the supported Java character sets.

  See Also:
    `Charset`

### setCharsetName

    void setCharsetName(String charset)

### getJavaMailSessionJndiName

    String getJavaMailSessionJndiName()

### setJavaMailSessionJndiName

    void setJavaMailSessionJndiName(String jndiName)

### getFromName

    String getFromName()

### setFromName

    void setFromName(String fromName)

### getTaskActors

    TaskAffinity[] getTaskActors()

### addTaskActor

    void addTaskActor(TaskAffinity affinity)

### removeTaskActor

    void removeTaskActor(TaskAffinity affinity)

### getActors

    Actor[] getActors()

### addActor

    Actor addActor(String name,
                   Actor.Type type)

### removeActor

    void removeActor(Actor actor)

  NOTE: An actor may or may not be removable from an edit session at runtime. You should check the return value of the isRemovable method on the Actor instance before attempting to remove an actor from this subscription. Attempting to remove a non-removable actor will result in an IllegalStateException.

  Throws:
    `IllegalStateException` - If the given actor is not removable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD